Bug 218031

Summary: x11-wm/enlightenment: Update to 0.21.7
Product: Ports & Packages Reporter: Jochen Neumeister <joneum>
Component: Individual Port(s)Assignee: freebsd-enlightenment mailing list <enlightenment>
Status: Closed FIXED    
Severity: Affects Many People CC: gblach
Priority: --- Flags: bugzilla: maintainer-feedback? (enlightenment)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch none

Description Jochen Neumeister freebsd_committer 2017-03-23 09:51:10 UTC
Created attachment 181090 [details]
Patch

https://www.enlightenment.org/news/e-0.21.7-release

Enlightenment DR 0.21.7 Release

This is another bugfix and stability release for the Enlightenment 21 Release series.

Changes

Carsten Haitzler (19):

    enlightenment_sys - eina_init BEFORE switching uid - safer
    e ervything md5 code - fix warnings about alignment
    e fileman config - fix definite alignment bug with cast char to int ptr
    e theme conf config - fix casting char fileds to int ptrs
    e ptr cast via void fix to reduce warnings
    efm ipc - fix unaligned int read on ipc decode
    e comp x - fix property fetch to use int ptr from the start
    e xsettings - fix warnings about unaligned ptr access
    e comp - wl - add void cast to reduce warnings
    e notification - silence alignment warning
    efm - fix warnings for progress time display
    evry module - fix warning about comparing signed to unsigned
    e mixer pulse backened -f ix warning about use of uninit var
    e comp object - fix warning where a void cast is as goos as the old one
    e comp - fix stupid cast to from eina rect* to char* to eina rect* again
    e comp - quiet some warnings for casts that are ok
    tiling module - fix some warnings with casts and alignment
    efx - fix unaligned ptr fill that is actually a bug
    efm - fix nuisance warning about enlightenment

Derek Foreman (1):

    Dispatch wayland frame callbacks in the correct order

Marcel Hollerbach (1):

    tiling: dont use floating state when toggling

Mike Blumenkrantz (24):

    Revert “re-enable getting and setting output rotations in wl_drm”
    make e_pointer_object_set() a no-op when passing the existing cursor
    simplify mouse-out cursor reset for wl clients
    use 1×1 for unsized (internal) clients
    hide wl client cursors when set_pointer is passed a null surface
    add note in doc for “gadget_destroyed” callback re: callback ordering
    ref clients during exe_inst deletion to avoid invalid access after free
    start xwayland process 2.0s after module load
    only unset current pointer cursor object if new one is being set
    force mouse-out on wl clients during delete if mouse.in is set
    Revert “attempt to re-set wl surface pointer when popping back to “default” pointer type”
    reset compositor pointer cursor if wl surface destroy is the current cursor
    add specific handling for xwl cursor unsetting on mouse-out to ssd
    move wl data device focus-change handling to data device leave() fn
    simplify _e_comp_wl_data_device_drag_finished() slightly
    more correctly handle dnd completion for wl
    fix return code checking for errors when generating wl key events
    future-proof client hook inlist initialization
    always set E_Client→placed when successfully moving a comp object
    ignore all non-NORMAL type wl windows in e_place
    save config when toggling option to disable startup splash
    only move new bryces to zone on create, not existing ones
    show already-visible comp util objects when changing frame type
    Revert “e - wl mode - stop consuming 100 percent cpu”

Make test and is fine.

poudriere build fine for:

10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r314826)

portlint is also fine (ingore one warning.

Cheers
jochen
Comment 1 commit-hook freebsd_committer 2017-03-29 20:43:27 UTC
A commit references this bug:

Author: gblach
Date: Wed Mar 29 20:42:04 UTC 2017
New revision: 437235
URL: https://svnweb.freebsd.org/changeset/ports/437235

Log:
  Update to 0.21.7

  PR:		218031
  Submitted by:	Jochen Neumeister (joneum <at> bsdproject <dot> de)

Changes:
  head/x11-wm/enlightenment/Makefile
  head/x11-wm/enlightenment/distinfo
Comment 2 Grzegorz Blach freebsd_committer 2017-03-29 20:43:46 UTC
Committed, thanks.
Comment 3 Matthew Rezny freebsd_committer 2017-03-29 23:03:56 UTC
Why were alsa and pulse made mandatory dependencies? Neither are required, certainly not both simultaneously. These should be made optional or removed.
Comment 4 commit-hook freebsd_committer 2017-04-04 21:54:48 UTC
A commit references this bug:

Author: gblach
Date: Tue Apr  4 21:54:01 UTC 2017
New revision: 437759
URL: https://svnweb.freebsd.org/changeset/ports/437759

Log:
  - Add options to select between ALSA and PULSEAUDIO
  - Bump PORTREVISION
  - Replace spaces with tab

  PR:		218031
  Reported by:	rezny

Changes:
  head/x11-wm/enlightenment/Makefile